Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07494 Graphics Minor Always Nov 21, 2019, 14:33 Nov 25, 2019, 08:14
Tester sasuke View Status Public Platform MAME (Official Binary)
Assigned To sasuke Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver terracre.cpp
Version 0.215 Fixed in Version 0.217 Build 64-bit
Summary 07494: horekid, horekidb, boobhack: Coffee break doesn't show
Description Coffee break (After clearing round 2 etc.) doesn't show.
This is because driver not support hide text tilemap when "(m_xscroll & 0x1000)! = 0".
I can fixed with the following code.

uint32_t terracre_state::screen_update_amazon(screen_device &screen, bitmap_ind16 &bitmap, const rectangle &cliprect)
{
    if( m_xscroll&0x2000 )
        bitmap.fill(m_palette->black_pen(), cliprect );
    else
        m_background->draw(screen, bitmap, cliprect, 0, 0 );

    draw_sprites(bitmap,cliprect );

    if( (m_xscroll&0x1000) == 0 ) // added
        m_foreground->draw(screen, bitmap, cliprect, 0, 0 );

    return 0;
}
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems horekid, horekidb, boobhack
Attached Files
mp4 file icon fixed.mp4 (728,366 bytes) Nov 21, 2019, 14:33 Uploaded by sasuke
fixed version
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.17204
sasuke
Tester
Nov 24, 2019, 09:35
I submitted a pull request.
https://github.com/mamedev/mame/pull/5958